Method: globalVmExtensionPolicies.getVmExtension

API Version : 2026-10-01-preview

Retrieves details of a specific VM extension.

HTTP request


GET https://compute.googleapis.com/compute/v1/projects/{project}/global/vmExtensions/{extensionName}?$apiVersion=2026-10-01-preview

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
project

string

Project ID for this request.

extensionName

string

Required. Name of the VM extension for this request.

Request body

The request body must be empty.

Response body

If successful, the response body contains data with the following structure:

JSON representation
{
  "kind": string,
  "name": string,
  "versions": [
    string
  ],
  "id": string,
  "creationTimestamp": string,
  "description": string,
  "selfLink": string
}
Fields
kind

string

Output only. Type of the resource. Always compute#globalVmExtension.

Available from version 2026-10-01-preview.

name

string

versions[]

string

id

string (uint64 format)

Output only. The unique identifier for the resource. This identifier is defined by the server.

Available from version 2026-10-01-preview.

creationTimestamp

string

Output only. Creation timestamp in RFC3339 text format.

Available from version 2026-10-01-preview.

description

string

Output only. An optional textual description of the resource.

Available from version 2026-10-01-preview.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/compute.readonly
  • https://www.googleapis.com/auth/compute
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:

  • compute.vmExtensions.get

To find predefined roles that contain those permissions, see Compute Engine IAM Roles.